basePath: "G:/work/debugproject/work"
workspaceBasePath: ${basePath}/workspace

file:
  fixedPath: resources/runtime/accessory/projecttree/
  zipPath: ${basePath}/zipFiles/
  attachmentPath: ${basePath}/attachment/
  freemarker-load-path: ${file.static-path}/render
  static-path: ${workspaceBasePath}/static

spring:
  cloud:
    sentinel:
      enabled: false


  #工作空间中读取环境profiles.active第一个，故此处只加载prod
  profiles:
    active: dev

  freemarker:
    charset: UTF-8
    settings:
      classic_compatible: true
      url_escaping_charset: UTF-8
      template_update_delay: 0
    allow-request-override: false
    cache: false
    expose-request-attributes: false
    allow-session-override: false
    expose-session-attributes: false
    prefer-file-system-access: true
    suffix: .html
    check-template-location: true
    enabled: true
    content-type: text/html
    template-loader-path: file:${file.freemarker-load-path}
    expose-spring-macro-helpers: true
  servlet:
    multipart:
      max-request-size: 1000MB
      max-file-size: 1000MB

  resources:
    static-locations: file:${file.static-path}
  main:
    allow-bean-definition-overriding: true
  rabbitmq:
    listener:
      direct:
        auto-startup: false
      simple:
        auto-startup: false
    
    zhc:
      password: zhc123456
      port: 5672
      host: 192.168.1.188
      virtual-host: /zhc
      headersExchangeName: headers.exchange.name
      username: admin

  redis:
    database: 0
    port: 15001
    password:
    jedis:
      pool:
        max-idle: 20
        min-idle: 10
        max-active: 100
    host: 192.168.1.185

  datasource:
    druid:
      #初始化时建立物理连接的个数。初始化发生在显示调用init方法，或者第一次getConnection时
      initial-size: 5
      #最小连接池数量
      min-idle: 5
      #最大连接池数量 maxIdle已经不再使用
      max-active: 100
      #获取连接时最大等待时间，单位毫秒。配置了maxWait之后，缺省启用公平锁，并发效率会有所下降，如果需要可以通过配置useUnfairLock属性为true使用非公平锁，单位毫秒
      max-wait: 60000

      #数据库服务宕机自动重连机制，true为中断不重连，默认false，一直重连
      break-after-acquire-failure: true
      #连接出错后再尝试连接次数，默认1
      connection-error-retry-attempts: 0

      #初始化连接池时会填充到minIdle数量。
      #连接池中的minIdle数量以内的连接，空闲时间超过minEvictableIdleTimeMillis，则会执行keepAlive操作。
      #当网络断开等原因产生的由ExceptionSorter检测出来的死连接被清除后，自动补充连接到minIdle数量
      keep-alive: true
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，非正整数时表示不进行检查，单位是毫秒
      # 检测时:1.如果连接空闲并且超过minIdle以外的连接，如果空闲时间超过minEvictableIdleTimeMillis设置的值则直接物理关闭。
      # 2.在minIdle以内的不处理。
      time-between-eviction-runs-millis: 60000
      # 池中某个连接的空闲时长达到 N 毫秒后, 连接池在下次检查空闲连接时，将回收该连接,要小于防火墙超时设置，单位是毫秒
      min-evictable-idle-time-millis: 300000
      # 是否缓存preparedStatement，也就是PSCache。PSCache对支持游标的数据库性能提升巨大，比如说oracle。在mysql下建议关闭
      pool-prepared-statements: true
      # 要启用PSCache，必须配置大于0，当大于0时，poolPreparedStatements自动触发修改为true。在Druid中，不会存在Oracle下PSCache占用内存过多的问题，可以把这个数值配置大一些，比如说100
      max-pool-prepared-statement-per-connection-size: 100

      # 当程序请求连接，池在分配连接时，是否先检查该连接是否有效。(高效)
      test-while-idle: true
      # 程序 申请 连接时,进行连接有效性检查（低效，影响性能）
      test-on-borrow: false
      #程序 返还 连接时,进行连接有效性检查（低效，影响性能
      test-on-return: false

      #!!!!!!!!!!!!!!!!!RemoveAbandanded功能不建议在生产环境中使用，仅用于连接泄露检测诊断!!!!!!!!!!!!
      #要求程序从池中get到连接后, N 秒后必须close,否则druid 会强制回收该连接,不管该连接中是活动还是空闲, 以防止进程不会进行close而霸占连接。
      remove-abandoned: true
      # 设置druid 强制回收连接的时限，当程序从池中get到连接开始算起，超过此值后，druid将强制回收该连接，单位秒。
      # 结合业务来看，存在jpa极大事务；不好设置 暂时为设置两分钟
      remove-abandoned-timeout: 120
      # 当druid强制回收连接后，是否将连接申请时的调用堆栈记录到日志中
      log-abandoned: true

      # stat:sql监控统计，wall:防御SQL注入，log4j:日志
      filters: stat,wall
      # 合并多个DruidDataSource的监控数据
      use-global-data-source-stat: false
      # 通过connectProperties属性来打开mergeSql功能；慢SQL记录
      connect-properties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
      # 配置监控服务器
      stat-view-servlet:
        enabled: true
        login-username: admin
        login-password: zhc,,123
        reset-enable: false
        url-pattern: /druid/*
        #本地打开不需要，其他机子上访问需要设置为空，否则无权限访问
        allow: ""
        #本地打开不需要，其他机子上访问需要设置为空，否则无权限访问
        deny: ""
      #配置防火墙防御规则
      web-stat-filter:
        enabled: true
        # 添加过滤规则
        url-pattern: /*
        # 忽略过滤格式
        exclusions: "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*"

server:
  port: 8080
  tomcat:
    basedir: ./
    protocol-header: "X-Forwarded-Proto"
    remote-ip-header: "X-Forwarded-For"
    accesslog:
      file-date-format: yyyy-MM-dd
      pattern: '%t [%I] %{X-Forwarded-For}i %l %u %r %s %b %D'
      suffix: .log
      directory: logs/${server.port}/access/
      enabled: false

beetlsql:
  enabled: false
management:
  endpoints:
    web:
      exposure:
        include: '*'

seata:
  enabled: false

info:
  build.version: $project.version$
  company.name: 中海创科技
  build.artifactId: $project.artifactId$
  app.name: ${spring.application.name}

zhc:

  job:
    enable: false

  #登录模块
  login:
    #登录页，默认/hivuiLogin/index
    index_html: /hivuiLogin/index
    #登录成功后的主页，默认/hivuiMain/index
    main_html: /hivuiMain/index

  #短信模块
  sms:
    #服务类型，默认为zhc
    service: zhc
    #通用模板ID，默认为空(service值为ali时需要配置模块ID)
    ali_tpl:
    #验证码格式，默认为空
    captcha_fmt: 【海创云】验证码：%s，5分钟内有效！
    #短信域名，默认为空
    app_host: https://cdcxdxjk.market.alicloudapi.com
    #短信地址，默认为空
    app_url: /chuangxin/dxjk
    #短信密钥，默认为空
    app_code:

  #授权模块
  oauth2:
    #授权方式，默认def
    #def: 默认，同一帐号同一token
    #random: 随机，一直产生新token/同一帐户随意登录
    #ip: 同一帐号同一个IP同一个token
    #os: 终端，同一帐号同一终端同一个token
    way: random
    #token有效时间(秒，默认12小时)
    timeout: 43200
    #放行列表(与authenticated互斥)
    permitall: /**/*-login,/**/cas-*,/**/sso-*,/sms/**,/**/reg-*,/**/token-fix,/file/static/preview,/project/**,/**/resources._resdir/**,/render/**,/**/*.html,/**/forgot*,/headerWebSocket/**,/**/unlock,/**/policy,/infc/**,/sys/user/detail,/file/preview,/druid/**,/hiroute/**,/**/sso-corp-url,/runtime/**,/ws/**,/*/ws/**,/jobnode/execute,/market/shelves/**,/oauth/**,/file/remote/**,/**/*.png,/**/*.ico
